明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
12
返回列表 发新帖
楼主: longcs

vb写r14程序的一个问题

  [复制链接]
 楼主| 发表于 2003-11-6 14:44:00 | 显示全部楼层
非常谢谢zxj_76 ,不过我现在还在用r14,没有办法辣,只有自己想办法了
发表于 2003-11-14 21:02:00 | 显示全部楼层
R14下用vba开发和2000下有很大不同的
你应该用obj.erase命令的,还有ZoomAll应该这样用ThisDrawing.ActiveViewport.ZoomAll


Sub Example_Erase()
    ' This example creates a line and then erases it.
   
    Dim lineObj As AcadLine
    Dim startPoint(0 To 2) As Double
    Dim endPoint(0 To 2) As Double

    ' Create the Line object in model space
    startPoint(0) = 2#: startPoint(1) = 2#: startPoint(2) = 0#
    endPoint(0) = 4#: endPoint(1) = 4#: endPoint(2) = 0#

    Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

    ThisDrawing.Regen True
    MsgBox "The Line is created.", , "Erase Example"
   
    ' Erase the line
    lineObj.Erase
   
    ThisDrawing.Regen True
    MsgBox "The Line is erased.", , "Erase Example"
End Sub
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 13:37 , Processed in 0.151357 second(s), 17 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表